# PSF-LoginServer - master - net.psforever.objects.zones.ZoneMap
PSF - LoginServer - master - net.psforever.objects.zones.ZoneMap
Keywords: PSF LoginServer master net.psforever.objects.zones.ZoneMap

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  package blockmap
  Definition Classes
    zones
- ActivityReport
- HotSpotInfo
- InteractsWithZone
- MapEnvironment
- MapInfo
- MapScale
- SOI
- SphereOfInfluenceActor
- Zone
- ZoneAware
- ZoneDeployableActor
- ZoneGroundActor
- ZoneHotSpotDisplay
- ZoneHotSpotHistory
- ZoneHotSpotProjector
- ZoneInfo
- ZoneInteraction
- ZoneMap
- ZonePopulationActor
- ZoneVehicleActor
- Zoning

c

net.psforever.objects.zones

# ZoneMap

###

#### class ZoneMap extends AnyRef

The fixed instantiation and relation of a series of server objects.
Asides from a `List` of server objects to be built, the operation between any server objects and the connected functionality emerging from more complex data structures is codified by this object. In the former case, all `Terminal` server objects for a `Zone` are to be defined herein. In the latter case, the arrangement of server objects into groups called facilities is also to be defined herein. Much like a `BasicDefinition` to an object, `ZoneMap` should not maintain mutable information for the companion `Zone`. Use it as a blueprint.
The "training zones" are the best example of the difference between a `ZoneMap` and a `Zone.` ("Course" will be used as an unofficial location and layout descriptor.) `tzdrtr` is the Terran Republic driving course. `tzdrvs` is the Vanu Sovereignty driving course. While each course can have different objects and object states, i.e., a `Zone`, both of these courses utilize the same basic server object layout because they are built from the same blueprint, i.e., a `ZoneMap`.

Source
  ZoneMap.scala
See also

  `ServerObjectBuilder`
  `LoadMapMessage`

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ZoneMap
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ZoneMap(name: String)

   name

     the privileged name that can be used as the first parameter in the packet `LoadMapMessage`

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def addLatticeLink(source: String, target: String): Unit
5.  def addLocalBuilding(name: String, buildingGuid: Int, mapId: Int, constructor: FoundationBuilder): Int
6.  def addLocalObject[A <: PlanetSideServerObject](id: Int, constructor: ConstructorType[A], owningBuildingGuid: Int = 0, doorGuid: Int = 0, terminalGuid: Int = 0): Int

   Append the builder for a server object to the list of builders known to this `ZoneMap`.

   Append the builder for a server object to the list of builders known to this `ZoneMap`.

   id

     the unique id that will be assigned to this entity

   constructor

     the logic that initializes the emitted entity

   owningBuildingGuid

     The guid of the building this object should belong to, if specified

   doorGuid

     The guid of the door this object (typically a lock) should be linked to, if specified

   terminalGuid

     The guid of the terminal this object (typically a spawn pad) should be linked to, if specified

   returns

     the current number of builders

7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  var cavern: Boolean
9.  var checksum: Long
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  def doorToLock: Map[Int, Int]
12.  var environment: List[PieceOfEnvironment]
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  def latticeLink: Set[(String, String)]
20.  def linkDoorToLock(doorGuid: Int, lockGuid: Int): Unit
21.  def linkObjectToBuilding(objectGuid: Int, buildingId: Int): Unit
22.  def linkShuttleToBay(shuttleBayGuid: Int): Unit
23.  def linkTerminalToInterface(terminalGuid: Int, interfaceGuid: Int): Unit
24.  def linkTerminalToSpawnPad(terminalGuid: Int, padGuid: Int): Unit
25.  def linkTurretToWeapon(turretGuid: Int, weaponGuid: Int): Unit
26.  def localBuildings: Map[(String, Int, Int), FoundationBuilder]
27.  var localObjects: List[ServerObjectBuilder[_]]
28.  val name: String
29.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
30.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
31.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  def objectToBuilding: Map[Int, Int]
33.  var scale: MapScale
34.  def shuttleBays: List[Int]
35.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
36.  def terminalToInterface: Map[Int, Int]
37.  def terminalToSpawnPad: Map[Int, Int]
38.  def toString(): String
    Definition Classes
      AnyRef → Any
39.  def turretToWeapon: Map[Int, Int]
40.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
41.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
42.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
43.  var zipLinePaths: List[ZipLinePath]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped